typeinc(3)

TypeInconsistency

Inherits from: Exception

Maturity Index: Experimental

Class Description

This is a subclass to signal a type descriptor inconsistency, specifically for the AsciiFiler class. If a filer scans a decriptor type string that it cannot handle, then it will signal the TypeInconsistency exception, passing the character that the filer got and the character that it actually expected ( wanted ).

Method types

Methods

gotChar
    - ( char ) gotChar

Returns the type descriptor that the filer got.

wantChar
    - ( char ) wantChar

Returns the type descriptor that the filer expected.

got:wanted:
    - got :(char) c wanted :(char) w

Sets the type descriptors.